/*!
 * Copyright © 2005-2024 Hyland Software, Inc. and its affiliates. All rights reserved.
 *
 * Alfresco Example Content Application
 *
 * This file is part of the Alfresco Example Content Application.
 * If the software was purchased under a paid Alfresco license, the terms of
 * the paid license agreement will prevail. Otherwise, the software is
 * provided under the following open source license terms:
 *
 * The Alfresco Example Content Application is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * The Alfresco Example Content Application is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * from Hyland Software. If not, see <http://www.gnu.org/licenses/>.
 */
import { Page } from '@playwright/test';
import { MatMenuComponent } from './dataTable';
import { BaseComponent } from './base.component';
export declare class AcaHeader extends BaseComponent {
    private static rootElement;
    private moreActionsButton;
    private toolbarMoreActions;
    createButton: import("playwright-core").Locator;
    viewDetails: import("playwright-core").Locator;
    viewButton: import("playwright-core").Locator;
    searchButton: import("playwright-core").Locator;
    fullScreenButton: import("playwright-core").Locator;
    shareButton: import("playwright-core").Locator;
    downloadButtonViewer: import("playwright-core").Locator;
    downloadButton: import("playwright-core").Locator;
    sharedDownloadButton: import("playwright-core").Locator;
    uploadButton: import("playwright-core").Locator;
    uploadFileButton: import("playwright-core").Locator;
    uploadInput: import("playwright-core").Locator;
    uploadNewVersionButton: import("playwright-core").Locator;
    permanentlyDeleteButton: import("playwright-core").Locator;
    restoreButton: import("playwright-core").Locator;
    constructor(page: Page);
    matMenu: MatMenuComponent;
    clickViewerMoreActions(): Promise<void>;
    clickMoreActions(): Promise<void>;
    clickCreateFolderFromTemplate(): Promise<void>;
    verifyToolbarPrimaryActions(expectedToolbarPrimary: string[]): Promise<void>;
    clickCreateFileFromTemplate(): Promise<void>;
}
