/*!
 * Copyright © 2005-2024 Hyland Software, Inc. and its affiliates. All rights reserved.
 *
 * Alfresco Example Content Application
 *
 * This file is part of the Alfresco Example Content Application.
 * If the software was purchased under a paid Alfresco license, the terms of
 * the paid license agreement will prevail. Otherwise, the software is
 * provided under the following open source license terms:
 *
 * The Alfresco Example Content Application is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * The Alfresco Example Content Application is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * from Hyland Software. If not, see <http://www.gnu.org/licenses/>.
 */
import { BaseComponent } from './base.component';
import { Page } from '@playwright/test';
export declare class AdfInfoDrawerComponent extends BaseComponent {
    private static rootElement;
    constructor(page: Page);
    private readonly categoriesManagement;
    private readonly tagsCreator;
    getNameField: (labelText: string) => import("playwright-core").Locator;
    getIdField: (labelText: string) => import("playwright-core").Locator;
    getVisibilityField: (labelText: string) => import("playwright-core").Locator;
    getDescriptionField: import("playwright-core").Locator;
    propertiesTab: import("playwright-core").Locator;
    commentsTab: import("playwright-core").Locator;
    infoDrawerTabs: import("playwright-core").Locator;
    commentInputField: import("playwright-core").Locator;
    commentsHeader: import("playwright-core").Locator;
    addCommentButton: import("playwright-core").Locator;
    commentsList: import("playwright-core").Locator;
    commentUsername: import("playwright-core").Locator;
    commentTextContent: import("playwright-core").Locator;
    commentTimestamp: import("playwright-core").Locator;
    infoDrawerPanel: import("playwright-core").Locator;
    headerTitle: import("playwright-core").Locator;
    editButton: import("playwright-core").Locator;
    cancelButton: import("playwright-core").Locator;
    updateButton: import("playwright-core").Locator;
    hintMessage: import("playwright-core").Locator;
    errorMessage: import("playwright-core").Locator;
    expandDetailsButton: import("playwright-core").Locator;
    expandedDetailsTabs: import("playwright-core").Locator;
    expandedDetailsPermissionsTab: import("playwright-core").Locator;
    nameField: import("playwright-core").Locator;
    idField: import("playwright-core").Locator;
    descriptionField: import("playwright-core").Locator;
    visibilityField: import("playwright-core").Locator;
    selectVisibility: (visibilityOption: string) => Promise<void>;
    tagsAccordion: import("playwright-core").Locator;
    categoriesAccordion: import("playwright-core").Locator;
    tagsAccordionPenButton: import("playwright-core").Locator;
    categoriesAccordionPenButton: import("playwright-core").Locator;
    tagsInput: import("playwright-core").Locator;
    createTagButton: import("playwright-core").Locator;
    tagsChips: import("playwright-core").Locator;
    tagsChipsXButton: import("playwright-core").Locator;
    tagsAccordionCancelButton: import("playwright-core").Locator;
    tagsAccordionConfirmButton: import("playwright-core").Locator;
    categoriesAccordionCancelButton: import("playwright-core").Locator;
    categoriesAccordionConfirmButton: import("playwright-core").Locator;
    categoriesInput: import("playwright-core").Locator;
    categoriesListItems: import("playwright-core").Locator;
    categoriesItemRemoveButton: import("playwright-core").Locator;
    categoriesCreatedList: import("playwright-core").Locator;
    checkCommentsHeaderCount(): Promise<number>;
    verifyCommentsCountFromList(expectedNumber: number): Promise<void>;
    waitForComments(): Promise<void>;
    addCommentToNode(commentText: string): Promise<void>;
    getHeaderTitle(): Promise<string>;
    getTabsCount(): Promise<number>;
}
